Loading...
Searching...
No Matches
std::hash< alphabet_t > Struct Template Reference
Alphabet

Struct for hashing a character. More...

`#include <seqan3/alphabet/hash.hpp>`

Inheritance diagram for std::hash< alphabet_t >:
[legend]

## Public Member Functions

T | hash (T... args)
size_t | operator() (alphabet_t const character) const noexcept
| Compute the hash for a character.

## Detailed Description

template<typename alphabet_t>
requires seqan3::semialphabet<alphabet_t>
struct std::hash< alphabet_t >

Struct for hashing a character.

Template Parameters

  alphabet_t | The type of character to hash; must model seqan3::semialphabet.

This entity is stable. Since version 3.1.

## Member Function Documentation

## operator()()

template<typename alphabet_t>

size_t std::hash< alphabet_t >::operator() | ( | alphabet_t const | character | ) | const

inline noexcept

Compute the hash for a character.

Parameters

  [in] | character | The character to process; must model seqan3::semialphabet.

Returns
  The rank of the character.

See also
  seqan3::to_rank.

This entity is stable. Since version 3.1.

The documentation for this struct was generated from the following file:

- hash.hpp

Hide me